View Issue Details

IDProjectCategoryView StatusLast Update
15469Bug reports[All Projects] Survey editingpublic2019-11-11 12:03
ReporterDenisChenu Assigned ToJHoeck  
PrioritynoneSeverityminor 
Status assignedResolutionreopened 
Product Version4.0.0-RC6 
Target VersionFixed in Version4.0.0-RC7 
Summary15469: Submit invalid part from question title/code : loose all data
Description

It's really easy to loose a lot of update part …

  1. Enter 1111 No control is done on Question code
  2. Enter Q01 if you already have anopther question title with Q01

Then when clcik on save : loose ALL data of the form …

Steps To Reproduce

Compare 3 and 4 …

Additional Information

Some other part can disable submission, to control and finc reproduce way : Answer and sub-question are inside the same form …

Since subquestions + answers + atributes are now on the same form : we have more max_input_vars issue, then more report about "it was not saved" …

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC6 git
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 15460 closed Unable to save question after using quick replace in answers 
related to 15448 resolvedJHoeck Question code exists, definiton of proper error messages 
related to 15435 new Saving question gives error - "Question could not be stored. Reloading page" 

Activities

DenisChenu

DenisChenu

2019-10-28 18:07

developer  

Peek 28-10-2019 18-01.gif (1,375,432 bytes)
JHoeck

JHoeck

2019-11-05 15:14

manager   ~54407

What do you mean with "No control is done on Question code"? Visually control or backend control? Cause inside the backend theres a control flow for it.
And what do you mean with "Answer and sub-question are inside the same form …"? I dont understand it.

DenisChenu

DenisChenu

2019-11-05 15:22

developer   ~54408

See peek
You can put anything in question-title : you can submit,
See difference in 3.X
There are no HTML5 control

HTML5 control must be :

  1. regexp (start by alpha, contain only alphanumberic)
  2. Check in AJAX to add a control before submit : setCustomValidity ( see https://github.com/LimeSurvey/LimeSurvey/blob/1fa5dd4794bab115bd04172258b42e06f123f1dd/assets/scripts/admin/questions.js#L20)

«Answer and sub-question are inside the same form …« if you have a Array/text : you have inside same HTML form , then sended in same request : more data sent in same request …
More way to broke …

JHoeck

JHoeck

2019-11-06 12:06

manager   ~54425

Fixed part of it (click on save: loose all data of form) in branch issue-15469-submit-invalid-part-from-question.

This ticket should be split into smaller tasks. Cause the description is describing more than the actual bug.

DenisChenu

DenisChenu

2019-11-06 13:19

developer   ~54426

@JHoeck : for an,swers+subquestions : it's a potential issue without reproduce way :).

I update the description to minimize this bug .

DenisChenu

DenisChenu

2019-11-09 11:48

developer   ~54492

Reopen :
Seems OK at 1st time but reloaded …

See screencast

And in my opinion : don't allow submitting with HTML5 attribute can be great too …

DenisChenu

DenisChenu

2019-11-09 11:48

developer  

Peek 09-11-2019 11-47.gif (755,143 bytes)
DenisChenu

DenisChenu

2019-11-11 11:59

developer   ~54512

@JHoeck : see the peek/screencast : i didn't do ANY action, the default included javascript reload without any action …

PHP seems OK, but JS still broken.

I check again with 3efb517e3c of this morning

Yor fix is OK, but a javascript action reload page (to overview) after error are shown …

JHoeck

JHoeck

2019-11-11 12:02

manager   ~54513

I will fix this issue.

Issue History

Date Modified Username Field Change
2019-10-28 18:07 DenisChenu New Issue
2019-10-28 18:07 DenisChenu File Added: Peek 28-10-2019 18-01.gif
2019-10-28 18:08 DenisChenu Relationship added related to 15460
2019-10-28 18:08 DenisChenu Relationship added related to 15448
2019-10-29 09:59 JHoeck Assigned To => JHoeck
2019-10-29 09:59 JHoeck Status new => assigned
2019-10-30 14:28 DenisChenu Relationship added related to 15435
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2019-11-05 15:14 JHoeck Note Added: 54407
2019-11-05 15:22 DenisChenu Note Added: 54408
2019-11-06 12:06 JHoeck Status assigned => resolved
2019-11-06 12:06 JHoeck Resolution open => fixed
2019-11-06 12:06 JHoeck Fixed in Version => 4.0.0-RC7
2019-11-06 12:06 JHoeck Note Added: 54425
2019-11-06 13:19 DenisChenu Note Added: 54426
2019-11-06 13:21 DenisChenu Summary Submit invalid part from question : loose all data => Submit invalid part from question title/code : loose all data
2019-11-06 13:21 DenisChenu Description Updated View Revisions
2019-11-06 13:21 DenisChenu Additional Information Updated View Revisions
2019-11-09 11:48 DenisChenu Status resolved => feedback
2019-11-09 11:48 DenisChenu Resolution fixed => reopened
2019-11-09 11:48 DenisChenu Note Added: 54492
2019-11-09 11:48 DenisChenu File Added: Peek 09-11-2019 11-47.gif
2019-11-11 10:46 JHoeck Status feedback => resolved
2019-11-11 11:59 DenisChenu Note Added: 54512
2019-11-11 12:02 JHoeck Note Added: 54513
2019-11-11 12:03 JHoeck Status resolved => assigned